#tag: mgrubb@fifthvision.net Wed Apr 24 15:28:15 CDT 2002 (set-status/SetStatus.pm)
#Released under the terms of the GNU General Public License (See =COPYING)
#Copyright (C) 2002 Michael Grubb

package RT::Action::SetStatus;
require RT::Action::Generic;
@ISA=qw(RT::Action::Generic);

#Do what we need to do and send it out.

#What does this type of Action does

# {{{ sub Describe 
sub Describe  {
  my $self = shift;
  return (ref $self . " will set the status of a ticket to the status in the arguments field.");
}
# }}}


# {{{ sub Prepare 
sub Prepare  {
    # nothing to prepare
    return 1;
}
# }}}

sub Commit {
    my $self = shift;

	$self->TicketObj->SetStatus($self->Argument);
}


# Applicability checked in Commit.

# {{{ sub IsApplicable 
sub IsApplicable  {
  my $self = shift;
  1;  
  return 1;
}
# }}}

1;
